=== modified file 'NEWS'
--- NEWS	2009-05-27 15:57:20 +0000
+++ NEWS	2009-05-28 22:48:45 +0000
@@ -4,6 +4,8 @@
 dev [future]
 ---------------
 
+    - Add bug links in revision informations (Alexandre Garnier, #314052)
+
     - Make sure that binary files aren't annotated. (Martin Albisetti,
       #258848)
 

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-05-18 04:17:11 +0000
+++ loggerhead/history.py	2009-05-28 22:48:45 +0000
@@ -681,6 +681,7 @@
             'comment': revision.message,
             'comment_clean': [util.html_clean(s) for s in message],
             'parents': revision.parent_ids,
+            'bugs': [bug.split()[0] for bug in revision.properties.get('bugs', '').splitlines()],
         }
         return util.Container(entry)
 

=== modified file 'loggerhead/static/css/diff.css'
--- loggerhead/static/css/diff.css	2009-02-26 20:55:46 +0000
+++ loggerhead/static/css/diff.css	2009-05-30 17:40:05 +0000
@@ -31,7 +31,7 @@
     width:493px;
     margin:0px 0px 5px 0px;
 }
-.information, .committer, .timer, .mfrom, .mto, .revid {
+.information, .committer, .timer, .mfrom, .mto, .revid, .bug {
     clear:both;
     margin:0px;
     padding:0px 0px 2px 18px;
@@ -65,6 +65,14 @@
 .mto {
     background:url(../images/ico_mergeto.gif) no-repeat top left;
 }
+.bug {
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+    float:left;
+    clear:none;
+    display:inline;
+    background:url(../images/ico_bug.png) no-repeat top left;
+}
 /**/
 #loggerheadCont p.expand, #loggerheadCont p.expand a, #loggerheadCont p.expand a:link, #loggerheadCont p.expand a:visited, #loggerheadCont p.expand a:hover {
     color:#0f6b97;

=== modified file 'loggerhead/static/css/files.css'
--- loggerhead/static/css/files.css	2009-01-23 20:53:40 +0000
+++ loggerhead/static/css/files.css	2009-05-28 22:48:45 +0000
@@ -1,5 +1,5 @@
 /*Info Box*/
-.information, .committer, .timer, .mfrom, .mto, .revid {
+.information, .committer, .timer, .mfrom, .mto, .revid, .bug {
 	float:left;
 	margin:0px 10px 5px 0px;
 	padding:0px 0px 2px 18px;
@@ -39,3 +39,6 @@
     width:100%;
     position:relative;
 }
+.bug {
+	background:url(../images/ico_bug.png) no-repeat top left;
+}

=== added file 'loggerhead/static/images/ico_bug.png'
Binary files loggerhead/static/images/ico_bug.png and loggerhead/static/images/ico_bug.png differ
=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2009-04-28 03:01:54 +0000
+++ loggerhead/templates/revisioninfo.pt	2009-05-30 17:40:05 +0000
@@ -18,6 +18,10 @@
             <tal:b content="merged_in"/></a>.
         </div>
         <div class="revid" tal:content="string:Revision ID: ${change/revid}"></div>
+        <div class="clear"><!-- --></div>
+        <div class="bug" tal:repeat="bug change/bugs">
+            <a tal:attributes="href bug" tal:content="bug"></a>
+        </div>
         <div class="information" tal:content="structure python:util.fixed_width(change.comment)"></div>
     </div>
     <ul id="list-files" tal:condition="file_changes">

